pkgsrc-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

PHP-GD 64bit? also, looking for a consultant / trainer

Hi Everyone,
This is my first time posting here, so go easy on me :)

I have been attempting to build various pkgsrc packages on a Mac OS X intel core 2 duo machine. Primarily the packages are to do with Apache2, PHP, MySql Server. I have been able to compile all needed libraries when I stay in 32bit mode. However, when I attempt to start fresh but use 64bit mode, I have a problem loading many libraries.

At first, it fails on building Perl as a requirement for Apache2. If I do a hybrid of 32 and 64bit, I can get Perl install at 32 and then build everything else at 64bit. The problem I run into is the graphics libraries for PHP -- in particular, the PHP-GD library. The PHP-GD gives me an error that the there is incorrect architecture on some libraries, specifically, "libjpeg.dylib" appears to have an issue.

I would like to know if anyone has had similar problems and / or solutions to this? I would ultimately like to take advantage of the 64bit architecture, but if I can't, then I can't.

Also... to coincide with the above, I would ultimately like to find a consultant / trainer to assist me in getting up to speed on the some of my unix skills and learn more ins / outs of pkgsrc that would help me reach various goals. I am in the New England area and would prefer face-to-face hands on consultation / training. Please let me know your rates / requirements.

Thanks everyone!

Home | Main Index | Thread Index | Old Index